Name:           python-tg-devtools
Version:        2.3.11
Release:        4%{?dist}
Summary:        Development tools and templates for TurboGears2

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org
Source0:        https://github.com/TurboGears/tg2devtools/archive/tg%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-coverage
BuildRequires:  python2-repoze-tm2
BuildRequires:  python2-turbokid >= 1.0.4
BuildRequires:  python2-turbojson >= 1.3
BuildRequires:  python2-zope-sqlalchemy >= 0.4
BuildRequires:  python2-webtest >= 1.2.3
BuildRequires:  python2-babel >= 0.9.4
BuildRequires:  python2-sqlalchemy >= 0.5
BuildRequires:  python2-tgext-admin >= 0.3.9
BuildRequires:  TurboGears2 >= 2.3.11

%global _description\
This package contains various paster commands and templates used for\
TurboGears2 development.\


%description %_description

%package -n python2-tg-devtools
Summary: %summary
Requires:       TurboGears2 >= 2.3.11
Requires:       python2-repoze-tm2
Requires:       python2-turbokid >= 1.0.4
Requires:       python2-turbojson >= 1.3
Requires:       python2-zope-sqlalchemy >= 0.4
Requires:       python2-babel >= 0.9.4
Requires:       python2-sqlalchemy >= 0.5
Requires:       python2-tgext-admin >= 0.5.1
Requires:       python2-babel
Requires:       python2-webtest >= 1.2.3
Requires:       python2-backlash
Requires:       python2-gearbox
Requires:       python2-alembic
Requires:       python2-genshi
Requires:       python2-tw2-forms
Requires:       python2-nose
Requires:       python2-coverage
%{?python_provide:%python_provide python2-tg-devtools}

%description -n python2-tg-devtools %_description

%prep
%setup -q -n tg2devtools-tg%{version}

%build
%py2_build


%install
%py2_install

%check
# tests currently use network
# TODO: fix tests to run in koji or subset that will.
#PYTHONPATH=$(pwd) nosetests -v


%files -n python2-tg-devtools
%doc
%{python2_sitelib}/devtools/
%{python2_sitelib}/tg.devtools-%{version}-*.egg-info/


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.3.11-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 10 2017 Kevin Fenzi <kevin@scrye.com> - 2.3.11-1
- Update to 2.3.11 to match recent TurboGears2 update. Fixes bug #1026724

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 2.3.0-0.12
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.0-0.11
- Python 2 binary package renamed to python2-tg-devtools
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-0.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.3
- Require nose and coverage so the quickstart unit tests work out of the box

* Mon Apr 15 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.2
- Require genshi, alembic, tw2-forms, tgext-admin >= 0.5.1,
  and webtest >= 1.2.3

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.1
- Update to the latest 2.3.0 snapshot
- Modernize specfile and update deps

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Luke Macken <lmacken@redhat.com> - 2.1.1-5
- Patch out the hard requirement on repoze.who==1.0.19
- Require python-coverage to get the quickstart tests passing

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1.1-3
- iCorrect conditional RHEL5 requires so they don't also pick up Fedora

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 15 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1
- Reenable test suite

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Luke Macken <lmacken@redhat.com> - 2.1-1
- Update to 2.1 final

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.3.b2dev
- Pre-RC1 development snapshot
- Get the test suite running

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-0.2.b2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.1.b2
- Update to 2.1b2

* Tue Nov 10 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-5
- Require python-babel, needed to run the default quickstart

* Wed Oct 21 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-4
- Remove sa05 patch, since SQLAlchemy 0.5 is now in Fedora 11+

* Thu Oct 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-3
- Apply patch from #468804 to fix version requirements

* Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-2
- Update SQLAlchemy0.5 patch
- Include both version of SQLAlchemy to get the test suite to run

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 2.0.2-1
- 2.0.2

* Fri Jun 26 2009 Luke Macken <lmacken@redhat.com> - 2.0-9
- Update the sa05 patch to work with sqlalchemy-migrate 0.4 and 0.5

* Tue Jun 23 2009 Luke Macken <lmacken@redhat.com> - 2.0-8
- Hack around a setuptools bug to get the test suite to pass
  with both SQLAlchemy 0.4 and 0.5 installed in the same site-packages

* Wed Jun 17 2009 Luke Macken <lmacken@redhat.com> - 2.0-7
- Add a patch to get things working with SQLAlchemy 0.5

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-6
- Add a patch to "fix" the test_pastetemplate.TestQuickStart.test_admin unit test
- Enable the test suite.

* Wed Jun 03 2009 Luke Macken <lmacken@redhat.com> - 2.0-5
- Add python-catwalk to the BuildRequires
- Require python-hashlib on FC6 and below.

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-4
- Conditionally require python-sqlite2

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-3
- Require python-catwalk

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 2.0-2
- Require python-repoze-who-testutil

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 2.0-1
- Update to 2.0 final
- Sync our requirements
- Remove the setuptools wsgiref patch
- Disable unit tests until Catwalk is packaged

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.2.a4
- Swap out tg.ext.repoze.who for tgext.authorization

* Sun Oct 26 2008 Luke Macken <lmacken@redhat.com> - 1.9.7-0.1.a4
- Initial package
